-- Thanks to phanx for her excellent (as usual) tutorial on addons localization.
-- https://phanx.net/addons/tutorials/localize

local _, namespace = ...

local L = setmetatable({}, { __index = function(t, k)
	local v = tostring(k)
	rawset(t, k, v)
	return v
end })

namespace.L = L

local LOCALE = GetLocale()

if LOCALE == "enUS" then
	-- The EU English game client also
	-- uses the US English locale code.
return end

if LOCALE == "itIT" then
	-- Italian translations by me :)
	L["Total addon(s):"]	= "Addon(s) totali:"
	L["Number of addons to monitor:"]	= "Numero di addons da monitorare:"
	L["Reset settings and reload UI"] 	= "Reset dei settaggi e ricarica UI" 
	L["Save settings and reload UI"] 	= "Salva e ricarica UI"
	L["version"] 			= "versione"
	L["Show Icons"]			= "Mostra icone"
	L["Show Bind Keys"]		= "Mostra tasti associati"
	L["positive number for nr.addons, 0 for only header, -1 to disable"] = "numero positivo per nr.addons, 0 per solo header, -1 per disabilitare"
return end

if LOCALE == "frFR" then
	-- French translations by Therenor :)
	L["Total addon(s):"]					= "Addons chargés:"
	L["Number of addons to monitor:"]		= "Nombre d'addons à surveiller :"
	L["Reset settings and reload UI"]		= "Réinitialiser et recharger l'interface" 
	L["Save settings and reload UI"]		= "Enregistrer et recharger l'interface"
	L["version"] 							= "version"
	L["Show Icons"]							= "Afficher les icônes"
	L["Show Bind Keys"]						= "Afficher les raccourcis"
	L["positive number for nr.addons, 0 for only header, -1 to disable"] = "nombre positif pour nr.addons, 0 pour l'en-tête uniquement, -1 pour désactiver"
return end